# Check for Existing Chats

This method returns a boolean variable that depicts whether or not the user has existing chats.

{% tabs fullWidth="false" %}
{% tab title="iOS - Swift" %}

```swift
Replies.hasChats()
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQReplies hasChats];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Replies.hasChats();
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Replies.hasChats()
```

{% endtab %}

{% tab title="RN" %}

```javascript
Replies.hasChats(previousChats=> { 
  if(previousChats) {
    // Has chats
  } else {
    // Doesn't have chats
  }
});
```

{% endtab %}

{% tab title="Flutter" %}

```dart
final hasChats = Replies.hasChats();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-replies/check-if-user-has-chats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
